<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet href="test.css" type="text/css"?>
<?xml-stylesheet href="test.xsl" type="application/xml+xsl"?>

<root class="this is a root">
  <child>text</child>
  <child class="class1 class2"/>
  <child/>
  <child class="class1"/>
  <nest>
    <childs class="class3"/>
    <childs class="class1 class2"/>
    <child/>
    <child/>
  </nest>
  <child id="id1">id</child>
  <child>text</child>
  <none/>
  <child/>
</root>